Bug 160692 - krunner crashes now and then when running commands
Summary: krunner crashes now and then when running commands
Status: RESOLVED WORKSFORME
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-11 10:25 UTC by Florian Kriener
Modified: 2009-02-06 15:01 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Kriener 2008-04-11 10:25:36 UTC
Version:            (using Devel)
Installed from:    Compiled sources

It just sometimes happpens and sometimes not:

Application: Run Command Interface (krunner), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x2b97871a3e20 (LWP 11198)]
[New Thread 0x42007950 (LWP 11202)]
[New Thread 0x41806950 (LWP 11201)]
[New Thread 0x41005950 (LWP 11200)]
[New Thread 0x40804950 (LWP 11199)]
[KCrash handler]
#5  Plasma::SearchMatch::exec (this=0x7ba750, context=0x7415e8)
    at /home/leflo/src/kdebase-workspace-4.0.66+svn791114/libs/plasma/searchmatch.cpp:152
#6  0x00002b977c3fda98 in Interface::matchActivated (this=0x741500, 
    item=<value optimized out>)
    at /home/leflo/src/kdebase-workspace-4.0.66+svn791114/krunner/interface.cpp:91
#7  0x00002b977c400f9d in Interface::qt_metacall (this=0x741500, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff2e8d6a00)
    at /home/leflo/src/kdebase-workspace-4.0.66+svn791114/obj-x86_64-linux-gnu/krunner/interface.moc:96
#8  0x00002b977d2d0636 in QMetaObject::activate (sender=0x6d36d0, 
    from_signal_index=<value optimized out>, to_signal_index=51, 
    argv=0x77f710) at kernel/qobject.cpp:3010
#9  0x00002b977f54850b in KComboBox::qt_metacall (this=0x6d36d0, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff2e8d6b50)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/obj-x86_64-linux-gnu/kdeui/kcombobox.moc:104
#10 0x00002b977f559a25 in KHistoryComboBox::qt_metacall (
    this=0x7002b977c95ca5c, _c=7607784, _id=1, _a=0x77f710)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/obj-x86_64-linux-gnu/kdeui/khistorycombobox.moc:76
#11 0x00002b977d2d0636 in QMetaObject::activate (sender=0x83fff0, 
    from_signal_index=<value optimized out>, to_signal_index=30, 
    argv=0x77f710) at kernel/qobject.cpp:3010
#12 0x00002b977ea8e824 in QLineEdit::keyPressEvent (this=0x83fff0, 
    event=0x7fff2e8d7a70) at widgets/qlineedit.cpp:1840
#13 0x00002b977f567227 in KLineEdit::keyPressEvent (this=0x83fff0, 
    e=0x7fff2e8d7a70)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/kdeui/widgets/klineedit.cpp:857
#14 0x00002b977e77e4c1 in QWidget::event (this=0x83fff0, event=0x7fff2e8d7a70)
    at kernel/qwidget.cpp:6955
#15 0x00002b977ea8f14b in QLineEdit::event (this=0x83fff0, e=0x7fff2e8d7a70)
    at widgets/qlineedit.cpp:1602
#16 0x00002b977f565f77 in KLineEdit::event (this=0x83fff0, ev=0x7fff2e8d7a70)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/kdeui/widgets/klineedit.cpp:1272
#17 0x00002b977ea50b3f in QComboBox::keyPressEvent (this=0x6d36d0, 
    e=0x7fff2e8d7a70) at widgets/qcombobox.cpp:2793
#18 0x00002b977f55a2ab in KHistoryComboBox::keyPressEvent (this=0x6d36d0, 
    e=0x7fff2e8d7a70)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/kdeui/widgets/khistorycombobox.cpp:345
#19 0x00002b977e77e4c1 in QWidget::event (this=0x6d36d0, event=0x7fff2e8d7a70)
    at kernel/qwidget.cpp:6955
#20 0x00002b977ea4deed in QComboBox::event (this=0x6d36d0, 
    event=0x7fff2e8d7a70) at widgets/qcombobox.cpp:2610
#21 0x00002b977e72f62f in QApplicationPrivate::notify_helper (this=0x627fb0, 
    receiver=0x6d36d0, e=0x7fff2e8d7a70) at kernel/qapplication.cpp:3766
#22 0x00002b977e734972 in QApplication::notify (this=0x627010, 
    receiver=0x6d36d0, e=0x7fff2e8d7a70) at kernel/qapplication.cpp:3414
#23 0x00002b977f4b66eb in KApplication::notify (this=0x627010, 
    receiver=0x6d36d0, event=0x7fff2e8d7a70)
    at /tmp/buildd/kde4libs-4.0.68+svn794641/kdeui/kernel/kapplication.cpp:311
#24 0x00002b977d2bc519 in QCoreApplication::notifyInternal (this=0x627010, 
    receiver=0x6d36d0, event=0x7fff2e8d7a70)
    at kernel/qcoreapplication.cpp:587
#25 0x00002b977e785c2c in qt_sendSpontaneousEvent (receiver=0x77f710, 
    event=0x1)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#26 0x00002b977e7b4cc4 in QKeyMapper::sendKeyEvent (keyWidget=0x6d36d0, 
    grab=<value optimized out>, type=QEvent::KeyPress, code=16777220, 
    modifiers=@0x7fff2e8d7fb0, text=@0x7fff2e8d7fa0, 
    autorepeat=<value optimized out>, count=1, nativeScanCode=36, 
    nativeVirtualKey=65293, nativeModifiers=0)
    at kernel/qkeymapper_x11.cpp:1656
#27 0x00002b977e7b6e55 in QKeyMapperPrivate::translateKeyEvent (
    this=0x6533b0, keyWidget=0x6d36d0, event=0x7fff2e8d85f0, grab=232)
    at kernel/qkeymapper_x11.cpp:1627
#28 0x00002b977e792218 in QApplication::x11ProcessEvent (this=0x627010, 
    event=0x7fff2e8d85f0) at kernel/qapplication_x11.cpp:3127
#29 0x00002b977e7b8263 in x11EventSourceDispatch (s=0x62f0e0, callback=0, 
    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#30 0x00002b97825c00f2 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#31 0x00002b97825c3396 in ?? () from /usr/lib/libglib-2.0.so.0
#32 0x00002b97825c382f in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#33 0x00002b977d2e575f in QEventDispatcherGlib::processEvents (this=0x611860, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#34 0x00002b977e7b80af in QGuiEventDispatcherGlib::processEvents (
    this=0x7002b977c95ca5c, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00002b977d2bb995 in QEventLoop::processEvents (
    this=<value optimized out>, flags=@0x7fff2e8d88c0)
    at kernel/qeventloop.cpp:149
#36 0x00002b977d2bbaeb in QEventLoop::exec (this=0x7fff2e8d8900, 
    flags=@0x7fff2e8d8910) at kernel/qeventloop.cpp:200
#37 0x00002b977d2bdb49 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:845
#38 0x00002b977c403605 in kdemain (argc=1, argv=0x7fff2e8d8bb8)
    at /home/leflo/src/kdebase-workspace-4.0.66+svn791114/krunner/main.cpp:53
#39 0x00002b977c6371c4 in __libc_start_main () from /lib/libc.so.6
#40 0x0000000000400629 in _start ()
#0  0x00002b977c6b0241 in nanosleep () from /lib/libc.so.6
Comment 1 Jordi Polo 2008-04-25 10:10:55 UTC
Can you provide any information about your hardware, specially the CPU(s).
It seems a race condition is being hit.
Comment 2 Florian Kriener 2008-04-25 14:50:27 UTC
I run a Intel Core 2 Duo E4500 CPU on a P35 Intel chipset with a 64bit Linux.
Comment 3 Aaron J. Seigo 2008-04-25 18:09:29 UTC
even more useful would be what version of plasma you are using. i fixed what looks to be exactly this bug at the Tokamak I sprint the other week, so hopefully this is already fixed in trunk ... 
Comment 4 Florian Kriener 2008-04-25 18:31:56 UTC
I use the debian experimental package version 4.0.68+svn794641-1. 
Comment 5 Florian Kriener 2008-04-29 13:27:34 UTC
It seems that it only crashes if I press return two times in a row to start a program. When clicking on the entry it does not crash.
Comment 6 András Manţia 2008-06-01 11:06:03 UTC
Trunk from today, crashes already twice in <10 minutes. Backtrace of the last crash:
Application: Run Command Interface (<unknown>), signal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0x7fed499c2740 (LWP 22621)]
[New Thread 0x417a3950 (LWP 22631)]
[New Thread 0x43d5d950 (LWP 22629)]
[New Thread 0x4355c950 (LWP 22628)]
[New Thread 0x42d5b950 (LWP 22627)]
[New Thread 0x4255a950 (LWP 22626)]
[KCrash handler]
#5  0x00007fed45c1d1e2 in QIODevice::d_func () from /opt/qt4/lib/libQtCore.so.4
#6  0x00007fed45c1bb9d in QIODevice::read () from /opt/qt4/lib/libQtCore.so.4
#7  0x00007fed45c02d2d in QDataStream::operator>> ()
   from /opt/qt4/lib/libQtCore.so.4
#8  0x00007fed45b7b201 in QDataStream::operator>> ()
   from /opt/qt4/lib/libQtCore.so.4
#9  0x00007fed45bcc48e in operator>> () from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed4771a27a in KServicePrivate::load (this=0x942740, 
    s=<value optimized out>)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservice.cpp:323
#11 0x00007fed4771a593 in KService (this=0x942710, _str=@0x82c730, 
    _offset=1003256)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservice_p.h:41
#12 0x00007fed47722ddb in KServiceFactory::createEntry (
    this=<value optimized out>, offset=1003256)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicefactory.cpp:181
#13 0x00007fed47722701 in KServiceFactory::serviceOffers (this=0x825020, 
    serviceTypeOffset=23976, serviceOffersOffset=<value optimized out>)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicefactory.cpp:266
#14 0x00007fed47731fff in KServiceTypeTrader::defaultOffers (
    this=<value optimized out>, serviceType=<value optimized out>, 
    constraint=@0x42559e00)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicetypetrader.cpp:125
#15 0x00007fed477328c3 in KServiceTypeTrader::query (this=0x843c20, 
    serviceType=@0x42559d50, constraint=@0x42559e00)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicetypetrader.cpp:141
#16 0x00007fed37d9baaa in ServiceRunner::match (this=0x8054a0, 
    context=@0x42559e90)
    at /data/development/sources/kde-trunk/kdebase/workspace/plasma/runners/services/servicerunner.cpp:77
#17 0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#18 0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x42559fb0, th=0x8c14d0, job=0x88f300)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#19 0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x88f300, 
    th=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#20 0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x4255a050, 
    parent=0x7b1790, th=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#21 0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#22 0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#23 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#24 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x42d5b950 (LWP 22627)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x42d5ae90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x42d5afb0, th=0x881600, job=0x61a6c0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x61a6c0, 
    th=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x42d5b050, 
    parent=0x7b1790, th=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x4355c950 (LWP 22628)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x4355be90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x4355bfb0, th=0x82bbe0, job=0x85bfb0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x85bfb0, 
    th=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x4355c050, 
    parent=0x7b1790, th=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x43d5d950 (LWP 22629)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x43d5ce90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x43d5cfb0, th=0x8b7aa0, job=0x8bece0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x8bece0, 
    th=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x43d5d050, 
    parent=0x7b1790, th=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x417a3950 (LWP 22631)):
#0  0x00007fed40854662 in select () from /lib64/libc.so.6
#1  0x00007fed45c6b6df in QProcessManager::run ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fed499c2740 (LWP 22621)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b7a211 in QWaitConditionPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b79d6e in QWaitCondition::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed45b78a64 in QThread::wait () from /opt/qt4/lib/libQtCore.so.4
#4  0x00007fed45c6a505 in QProcessManager::~QProcessManager ()
   from /opt/qt4/lib/libQtCore.so.4
#5  0x00007fed45c6b8ca in QGlobalStaticDeleter<QProcessManager>::~QGlobalStaticDeleter () from /opt/qt4/lib/libQtCore.so.4
#6  0x00007fed407bd26d in exit () from /lib64/libc.so.6
#7  0x00007fed42775be0 in qt_xio_errhandler () from /opt/qt4/lib/libQtGui.so.4
#8  0x00007fed4836de50 in KApplication::xioErrhandler (this=0x62cf30, 
    dpy=0x622f10)
    at /data/development/sources/kde-trunk/kdelibs/kdeui/kernel/kapplication.cpp:418
#9  0x00007fed44fb1ee4 in _XIOError () from /usr/lib64/libX11.so.6
#10 0x00007fed44fb9918 in ?? () from /usr/lib64/libX11.so.6
#11 0x00007fed44fba076 in _XEventsQueued () from /usr/lib64/libX11.so.6
#12 0x00007fed44fa2623 in XEventsQueued () from /usr/lib64/libX11.so.6
#13 0x00007fed427b5a03 in x11EventSourceCheck ()
   from /opt/qt4/lib/libQtGui.so.4
#14 0x00007fed3f601632 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#15 0x00007fed3f601f29 in ?? () from /usr/lib64/libglib-2.0.so.0
#16 0x00007fed3f6021dc in g_main_context_iteration ()
   from /usr/lib64/libglib-2.0.so.0
#17 0x00007fed45cc6c0e in QEventDispatcherGlib::processEvents ()
   from /opt/qt4/lib/libQtCore.so.4
#18 0x00007fed427b53bb in QGuiEventDispatcherGlib::processEvents ()
   from /opt/qt4/lib/libQtGui.so.4
#19 0x00007fed45c8c5f7 in QEventLoop::processEvents ()
   from /opt/qt4/lib/libQtCore.so.4
#20 0x00007fed45c8c7f4 in QEventLoop::exec () from /opt/qt4/lib/libQtCore.so.4
#21 0x00007fed45c909e5 in QCoreApplication::exec ()
   from /opt/qt4/lib/libQtCore.so.4
#22 0x00007fed426f4f14 in QApplication::exec () from /opt/qt4/lib/libQtGui.so.4
#23 0x00007fed496dd995 in kdemain (argc=2, argv=0x7fff51b18948)
    at /data/development/sources/kde-trunk/kdebase/workspace/krunner/main.cpp:53
#24 0x00007fed407a6436 in __libc_start_main () from /lib64/libc.so.6
#25 0x0000000000400939 in _start ()
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
Application: Run Command Interface (<unknown>), signal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0x7fed499c2740 (LWP 22621)]
[New Thread 0x417a3950 (LWP 22631)]
[New Thread 0x43d5d950 (LWP 22629)]
[New Thread 0x4355c950 (LWP 22628)]
[New Thread 0x42d5b950 (LWP 22627)]
[New Thread 0x4255a950 (LWP 22626)]
[KCrash handler]
#5  0x00007fed45c1d1e2 in QIODevice::d_func () from /opt/qt4/lib/libQtCore.so.4
#6  0x00007fed45c1bb9d in QIODevice::read () from /opt/qt4/lib/libQtCore.so.4
#7  0x00007fed45c02d2d in QDataStream::operator>> ()
   from /opt/qt4/lib/libQtCore.so.4
#8  0x00007fed45b7b201 in QDataStream::operator>> ()
   from /opt/qt4/lib/libQtCore.so.4
#9  0x00007fed45bcc48e in operator>> () from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed4771a27a in KServicePrivate::load (this=0x942740, 
    s=<value optimized out>)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservice.cpp:323
#11 0x00007fed4771a593 in KService (this=0x942710, _str=@0x82c730, 
    _offset=1003256)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservice_p.h:41
#12 0x00007fed47722ddb in KServiceFactory::createEntry (
    this=<value optimized out>, offset=1003256)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicefactory.cpp:181
#13 0x00007fed47722701 in KServiceFactory::serviceOffers (this=0x825020, 
    serviceTypeOffset=23976, serviceOffersOffset=<value optimized out>)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicefactory.cpp:266
#14 0x00007fed47731fff in KServiceTypeTrader::defaultOffers (
    this=<value optimized out>, serviceType=<value optimized out>, 
    constraint=@0x42559e00)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicetypetrader.cpp:125
#15 0x00007fed477328c3 in KServiceTypeTrader::query (this=0x843c20, 
    serviceType=@0x42559d50, constraint=@0x42559e00)
    at /data/development/sources/kde-trunk/kdelibs/kdecore/services/kservicetypetrader.cpp:141
#16 0x00007fed37d9baaa in ServiceRunner::match (this=0x8054a0, 
    context=@0x42559e90)
    at /data/development/sources/kde-trunk/kdebase/workspace/plasma/runners/services/servicerunner.cpp:77
#17 0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#18 0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x42559fb0, th=0x8c14d0, job=0x88f300)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#19 0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x88f300, 
    th=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#20 0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x4255a050, 
    parent=0x7b1790, th=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#21 0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x8c14d0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#22 0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#23 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#24 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x42d5b950 (LWP 22627)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x42d5ae90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x42d5afb0, th=0x881600, job=0x61a6c0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x61a6c0, 
    th=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x42d5b050, 
    parent=0x7b1790, th=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x881600)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x4355c950 (LWP 22628)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x4355be90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x4355bfb0, th=0x82bbe0, job=0x85bfb0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x85bfb0, 
    th=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x4355c050, 
    parent=0x7b1790, th=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x82bbe0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x43d5d950 (LWP 22629)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b783c1 in QMutexPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7235b in QMutex::lock () from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed37d9c215 in ServiceRunner::match (this=0x8054a0, 
    context=@0x43d5ce90) at /opt/qt4/include/QtCore/qmutex.h:122
#4  0x00007fed49358928 in Plasma::AbstractRunner::performMatch (this=0x8054a0, 
    globalContext=@0x7ea980)
    at /data/development/sources/kde-trunk/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#5  0x00007fed456daa29 in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x43d5cfb0, th=0x8b7aa0, job=0x8bece0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:106
#6  0x00007fed456dab99 in ThreadWeaver::Job::execute (this=0x8bece0, 
    th=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Job.cpp:135
#7  0x00007fed456d9c0f in ThreadWeaver::ThreadRunHelper::run (this=0x43d5d050, 
    parent=0x7b1790, th=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:95
#8  0x00007fed456d9d2e in ThreadWeaver::Thread::run (this=0x8b7aa0)
    at /data/development/sources/kde-trunk/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#10 0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x417a3950 (LWP 22631)):
#0  0x00007fed40854662 in select () from /lib64/libc.so.6
#1  0x00007fed45c6b6df in QProcessManager::run ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b7985c in QThreadPrivate::start ()
   from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed458ef040 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fed4085b0cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fed499c2740 (LWP 22621)):
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00007fed45b7a211 in QWaitConditionPrivate::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#2  0x00007fed45b79d6e in QWaitCondition::wait ()
   from /opt/qt4/lib/libQtCore.so.4
#3  0x00007fed45b78a64 in QThread::wait () from /opt/qt4/lib/libQtCore.so.4
#4  0x00007fed45c6a505 in QProcessManager::~QProcessManager ()
   from /opt/qt4/lib/libQtCore.so.4
#5  0x00007fed45c6b8ca in QGlobalStaticDeleter<QProcessManager>::~QGlobalStaticDeleter () from /opt/qt4/lib/libQtCore.so.4
#6  0x00007fed407bd26d in exit () from /lib64/libc.so.6
#7  0x00007fed42775be0 in qt_xio_errhandler () from /opt/qt4/lib/libQtGui.so.4
#8  0x00007fed4836de50 in KApplication::xioErrhandler (this=0x62cf30, 
    dpy=0x622f10)
    at /data/development/sources/kde-trunk/kdelibs/kdeui/kernel/kapplication.cpp:418
#9  0x00007fed44fb1ee4 in _XIOError () from /usr/lib64/libX11.so.6
#10 0x00007fed44fb9918 in ?? () from /usr/lib64/libX11.so.6
#11 0x00007fed44fba076 in _XEventsQueued () from /usr/lib64/libX11.so.6
#12 0x00007fed44fa2623 in XEventsQueued () from /usr/lib64/libX11.so.6
#13 0x00007fed427b5a03 in x11EventSourceCheck ()
   from /opt/qt4/lib/libQtGui.so.4
#14 0x00007fed3f601632 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#15 0x00007fed3f601f29 in ?? () from /usr/lib64/libglib-2.0.so.0
#16 0x00007fed3f6021dc in g_main_context_iteration ()
   from /usr/lib64/libglib-2.0.so.0
#17 0x00007fed45cc6c0e in QEventDispatcherGlib::processEvents ()
   from /opt/qt4/lib/libQtCore.so.4
#18 0x00007fed427b53bb in QGuiEventDispatcherGlib::processEvents ()
   from /opt/qt4/lib/libQtGui.so.4
#19 0x00007fed45c8c5f7 in QEventLoop::processEvents ()
   from /opt/qt4/lib/libQtCore.so.4
#20 0x00007fed45c8c7f4 in QEventLoop::exec () from /opt/qt4/lib/libQtCore.so.4
#21 0x00007fed45c909e5 in QCoreApplication::exec ()
   from /opt/qt4/lib/libQtCore.so.4
#22 0x00007fed426f4f14 in QApplication::exec () from /opt/qt4/lib/libQtGui.so.4
#23 0x00007fed496dd995 in kdemain (argc=2, argv=0x7fff51b18948)
    at /data/development/sources/kde-trunk/kdebase/workspace/krunner/main.cpp:53
#24 0x00007fed407a6436 in __libc_start_main () from /lib64/libc.so.6
#25 0x0000000000400939 in _start ()
#0  0x00007fed458f2dd9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
Comment 7 whirm 2008-06-26 12:54:52 UTC
Another tracebak (trunk built in amd64 debian SID)

Application: Run Command Interface (krunner), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x7ff21d0057c0 (LWP 4135)]
[New Thread 0x429d7950 (LWP 5239)]
[New Thread 0x421d6950 (LWP 5238)]
[New Thread 0x409d2950 (LWP 5237)]
[New Thread 0x419d5950 (LWP 5236)]
[KCrash handler]
#5  0x0000000300000000 in ?? ()
#6  0x00007ff21949d0f3 in QObject::event () from /usr/lib/libQtCore.so.4
#7  0x00007ff2163a0e5d in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#8  0x00007ff2163a8b2a in QApplication::notify () from /usr/lib/libQtGui.so.4
#9  0x00007ff21b7f2eab in KApplication::notify ()
   from /home/whirm/src/kde4/inst/lib/libkdeui.so.5
#10 0x00007ff21948e491 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#11 0x00007ff2194ba436 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007ff2194b695d in ?? () from /usr/lib/libQtCore.so.4
#13 0x00007ff2136600f2 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#14 0x00007ff213663396 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007ff21366382f in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#16 0x00007ff2194b68bf in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#17 0x00007ff21643216f in ?? () from /usr/lib/libQtGui.so.4
#18 0x00007ff21948cda2 in QEventLoop::processEvents ()
   from /usr/lib/libQtCore.so.4
#19 0x00007ff21948cf2d in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#20 0x00007ff21948f3fd in QCoreApplication::exec ()
   from /usr/lib/libQtCore.so.4
#21 0x00007ff21cd1e175 in kdemain ()
   from /home/whirm/src/kde4/inst/lib/libkdeinit4_krunner.so
#22 0x00007ff2144b91a6 in __libc_start_main () from /lib/libc.so.6
#23 0x0000000000400919 in _start ()
#0  0x00007ff2145391f1 in nanosleep () from /lib/libc.so.6
Comment 8 Lubos Lunak 2008-07-21 16:23:05 UTC
SVN commit 835987 by lunakl:

Remove emitting of aboutToQuit() from KApplication::xioErrhandler() - the application
is not about to quit, it is about to fall flat on its face. There is really not that
much to do once KDE apps lose their connection to the X server. How that can happen
while the X server still continues to run is a different question and I don't know
the answer. It is quite possible it is caused by careless usage of one X connection
from several threads concurrently without proper locking.

CCBUG: 166685
CCBUG: 166432
CCBUG: 166401
CCBUG: 166179
CCBUG: 165451
CCBUG: 165307
CCBUG: 165059
CCBUG: 164740
CCBUG: 164665
CCBUG: 163751
CCBUG: 163355
CCBUG: 161787
CCBUG: 160692
CCBUG: 160458
CCBUG: 158194
CCBUG: 158088
CCBUG: 157607
CCBUG: 154011
CCBUG: 151293
CCBUG: 146891
CCBUG: 146700
CCBUG: 146562
CCBUG: 144383
CCBUG: 143375
CCBUG: 141871
BUG: 140683
CCBUG: 139162
CCBUG: 134708
CCBUG: 133332
CCBUG: 128588
CCBUG: 112960



 M  +0 -1      kapplication.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835987
Comment 9 Dario Andres 2008-12-04 23:48:57 UTC
Backtrace in comment 6 seems to be related to bug 167792. (similar backtrace)
Comment 10 Florian Kriener 2009-02-06 15:01:26 UTC
This problem did not happen for a long time, so i set this to worksforme.